import { AframeRegistry, AframeComponent } from "../interfaces";
interface AlEdgeObject extends AframeComponent {
    bindListeners(): void;
    addListeners(): void;
    removeListeners(): void;
    remove(): void;
    node1Listener(event: CustomEvent): void;
    node2Listener(event: CustomEvent): void;
    updateDistance(): void;
}
export declare class AlEdge implements AframeRegistry {
    static readonly Object: AlEdgeObject;
    static readonly Tag: string;
}
export declare class AlEdgeEvents {
}
export {};
